+++
Categories = []
Tags = []
date = "2024-02-13T00:00:00-05:00"
menu = "main"
title = "Hardware"

+++

I selfhost this blog, do a lot of coding, and generally do "computer stuff" on a number of different systems. Here's what they all are, current as of the date mentioned above - check back for future changes!

## Client Devices

### Primary Laptop: Lenovo Thinkpad T495s

```
       _,met$$$$$gg.          joshua@dragonstorm 
    ,g$$$$$$$$$$$$$$$P.       ------------------ 
  ,g$$P"     """Y$$.".        OS: Debian GNU/Linux 12 (bookworm) x86_64 
 ,$$P'              `$$$.     Host: 20QJCTO1WW ThinkPad T495s 
',$$P       ,ggs.     `$$b:   Kernel: 6.1.0-17-amd64 
`d$$'     ,$P"'   .    $$$    Uptime: 17 days, 12 hours, 37 mins 
 $$P      d$'     ,    $$P    Packages: 4925 (dpkg), 11 (flatpak) 
 $$:      $$.   -    ,d$$'    Shell: bash 5.2.15 
 $$;      Y$b._   _,d$P'      Resolution: 1920x1080 
 Y$$.    `.`"Y$$$$P"'         DE: GNOME 43.9 
 `$$b      "-.__              WM: Mutter 
  `Y$$                        WM Theme: Adwaita 
   `Y$$.                      Theme: Adwaita-dark [GTK2/3] 
     `$$b.                    Icons: Adwaita [GTK2/3] 
       `Y$$b.                 Terminal: tmux 
          `"Y$b._             CPU: AMD Ryzen 5 PRO 3500U w/ Radeon Vega Mobile Gfx (8) @ 2.100GHz 
              `"""            GPU: AMD ATI Radeon Vega Series / Radeon Vega Mobile Series 
                              Memory: 11907MiB / 13860MiB 
```

### Work Laptop: Lenovo Thinkpad T480s

```
       _,met$$$$$gg.          joshua@dragoncable 
    ,g$$$$$$$$$$$$$$$P.       ------------------ 
  ,g$$P"     """Y$$.".        OS: Debian GNU/Linux 12 (bookworm) x86_64 
 ,$$P'              `$$$.     Host: 20L8S3WS01 ThinkPad T480s 
',$$P       ,ggs.     `$$b:   Kernel: 6.1.0-17-amd64 
`d$$'     ,$P"'   .    $$$    Uptime: 36 days, 6 hours, 1 min 
 $$P      d$'     ,    $$P    Packages: 4308 (dpkg) 
 $$:      $$.   -    ,d$$'    Shell: bash 5.2.15 
 $$;      Y$b._   _,d$P'      Resolution: 1920x1080 
 Y$$.    `.`"Y$$$$P"'         DE: GNOME 43.9 
 `$$b      "-.__              WM: Mutter 
  `Y$$                        WM Theme: Adwaita 
   `Y$$.                      Theme: Adwaita-dark [GTK2/3] 
     `$$b.                    Icons: Adwaita [GTK2/3] 
       `Y$$b.                 Terminal: tmux 
          `"Y$b._             CPU: Intel i5-8350U (8) @ 3.600GHz 
              `"""            GPU: Intel UHD Graphics 620 
                              Memory: 16906MiB / 23778MiB 
```

### Smartphone: Samsung Galaxy S10e

```
         -o          o-            u0_a674@dragonflight
          +hydNNNNdyh+             --------------------
        +mMMMMMMMMMMMMm+           OS: Android 12 aarch64
      `dMMm:NMMMMMMN:mMMd`         Host: Samsung SM-G970W
      hMMMMMMMMMMMMMMMMMMh         Kernel: 4.14.190-23725627-abG970WVLS8IWD1
  ..  yyyyyyyyyyyyyyyyyyyy  ..     Uptime: 5 days, 13 hours, 52 mins
.mMMm`MMMMMMMMMMMMMMMMMMMM`mMMm.   Packages: 72 (dpkg), 1 (pkg)
:MMMM-MMMMMMMMMMMMMMMMMMMM-MMMM:   Shell: bash 5.1.12
:MMMM-MMMMMMMMMMMMMMMMMMMM-MMMM:   CPU: Qualcomm SM8150 (8) @ 1.785GHz
:MMMM-MMMMMMMMMMMMMMMMMMMM-MMMM:   Memory: 3796MiB / 5466MiB
:MMMM-MMMMMMMMMMMMMMMMMMMM-MMMM:
-MMMM-MMMMMMMMMMMMMMMMMMMM-MMMM-
 +yy+ MMMMMMMMMMMMMMMMMMMM +yy+
      mMMMMMMMMMMMMMMMMMMm
      `/++MMMMh++hMMMM++/`
          MMMMo  oMMMM
          MMMMo  oMMMM
          oNMm-  -mMNs 
```

### Home Base (Headless server "Desktop-in-the-cloud"): Dell R630

```
       _,met$$$$$gg.          joshua@base
    ,g$$$$$$$$$$$$$$$P.       -----------
  ,g$$P"     """Y$$.".        OS: Debian GNU/Linux 11 (bullseye) x86_64 
 ,$$P'              `$$$.     Model: Dell PowerEdge R630 
',$$P       ,ggs.     `$$b:   Kernel: 5.10.0-26-amd64 
`d$$'     ,$P"'   .    $$$    Uptime: 110 days, 17 hours, 51 mins 
 $$P      d$'     ,    $$P    Packages: 1591 (dpkg), 10 (flatpak) 
 $$:      $$.   -    ,d$$'    Shell: bash 5.1.4 
 $$;      Y$b._   _,d$P'      Resolution: 1024x768 
 Y$$.    `.`"Y$$$$P"'         Terminal: /dev/pts/2 
 `$$b      "-.__              CPU: 2x Intel Xeon E5-2620 v4 (32) @ 3.000GHz 
  `Y$$                        GPU: NVIDIA Tesla T4 
   `Y$$.                      GPU: NVIDIA Tesla T4 
     `$$b.                    Memory: 53073MiB / 64301MiB 
       `Y$$b.
          `"Y$b._                                     
              `"""                                    
```

## Servers

My server infrastructure is quite sprawling, but here's the short info. For more detail, please see my upcoming™️ blog post or [rack tour videos on YouTube](https://www.youtube.com/channel/UCGzWk8zyqBp_ZTO88_drFwQ).

### Routers (x2): FreeBSD on Debian on SZBOX G30B Mini-PCs

```
```                        `       joshua@dcrX
  ` `.....---.......--.```   -/    -----------
  +o   .--`         /y:`      +.   OS: FreeBSD 13.2-RELEASE-p9 amd64 
   yo`:.            :o      `+-    Uptime: 3 days, 15 hours, 11 mins 
    y/               -/`   -o/     Packages: 185 (pkg) 
   .-                  ::/sy+:.    Shell: bash 5.2.15 
   /                     `--  /    Terminal: /dev/pts/2 
  `:                          :`   CPU: QEMU Virtual version (4) @ 1.996GHz 
  `:                          :`   Memory: 3121MiB / 6102MiB 
   /                          /
   .-                        -.                            
    --                      -.                             
     `:`                  `:`
       .--             `--.
          .---.....----.
```

Which for compatibility reasons are VMs running on top of...

```
       _,met$$$$$gg.          joshua@dcrhvX
    ,g$$$$$$$$$$$$$$$P.       -------------
  ,g$$P"     """Y$$.".        OS: Debian GNU/Linux 12 (bookworm) x86_64 
 ,$$P'              `$$$.     Host: SZBOX G30B TVI7309X B0 
',$$P       ,ggs.     `$$b:   Kernel: 6.1.0-17-amd64 
`d$$'     ,$P"'   .    $$$    Uptime: 9 days, 14 hours, 2 mins 
 $$P      d$'     ,    $$P    Packages: 830 (dpkg) 
 $$:      $$.   -    ,d$$'    Shell: bash 5.2.15 
 $$;      Y$b._   _,d$P'      Terminal: /dev/pts/1 
 Y$$.    `.`"Y$$$$P"'         CPU: Intel Celeron N5105 (4) @ 2.900GHz 
 `$$b      "-.__              GPU: Intel JasperLake [UHD Graphics] 
  `Y$$                        Memory: 6522MiB / 7783MiB 
   `Y$$.
     `$$b.                                            
       `Y$$b.                                         
          `"Y$b._
              `"""
```

### Primary Hypervisor Cluster (x3): Dell R630

```
       _,met$$$$$gg.          joshua@hvX.p
    ,g$$$$$$$$$$$$$$$P.       ------------
  ,g$$P"     """Y$$.".        OS: Debian GNU/Linux 11 (bullseye) x86_64 
 ,$$P'              `$$$.     Host: Dell PowerEdge R630 
',$$P       ,ggs.     `$$b:   Kernel: 5.10.0-27-amd64 
`d$$'     ,$P"'   .    $$$    Uptime: 13 days, 19 hours, 13 mins 
 $$P      d$'     ,    $$P    Packages: 886 (dpkg) 
 $$:      $$.   -    ,d$$'    Shell: bash 5.1.4 
 $$;      Y$b._   _,d$P'      Resolution: 1024x768 
 Y$$.    `.`"Y$$$$P"'         Terminal: /dev/pts/19 
 `$$b      "-.__              CPU: 2x Intel Xeon E5-2683 v4 (64) @ 3.000GHz 
  `Y$$                        GPU: 0b:00.0 Matrox Electronics Systems Ltd. G200eR2 
   `Y$$.                      Memory: 113190MiB / 515876MiB
     `$$b.
       `Y$$b.                                         
          `"Y$b._                                     
              `"""
```

### Testing Hypervisor Cluster (x3): Dell R430

```
       _,met$$$$$gg.          joshua@hvX.t
    ,g$$$$$$$$$$$$$$$P.       ------------ 
  ,g$$P"     """Y$$.".        OS: Debian GNU/Linux 12 (bookworm) x86_64 
 ,$$P'              `$$$.     Host: Dell PowerEdge R430 
',$$P       ,ggs.     `$$b:   Kernel: 6.1.0-17-amd64 
`d$$'     ,$P"'   .    $$$    Uptime: 25 mins 
 $$P      d$'     ,    $$P    Packages: 931 (dpkg) 
 $$:      $$.   -    ,d$$'    Shell: bash 5.2.15 
 $$;      Y$b._   _,d$P'      Resolution: 1024x768 
 Y$$.    `.`"Y$$$$P"'         Terminal: /dev/pts/2 
 `$$b      "-.__              CPU: Intel Xeon E5-2603 v3 (6) @ 1.600GHz 
  `Y$$                        GPU: 0a:00.0 Matrox Electronics Systems Ltd. G200eR2 
   `Y$$.                      Memory: 4070MiB / 31873MiB 
     `$$b.
       `Y$$b.                                         
          `"Y$b._                                     
              `"""
```

### Ceph Storage Cluster (x3): Dell R720

```
       _,met$$$$$gg.          joshua@cephX.c
    ,g$$$$$$$$$$$$$$$P.       --------------
  ,g$$P"     """Y$$.".        OS: Debian GNU/Linux 11 (bullseye) x86_64 
 ,$$P'              `$$$.     Host: Dell PowerEdge R720xd 
',$$P       ,ggs.     `$$b:   Kernel: 5.10.0-26-amd64 
`d$$'     ,$P"'   .    $$$    Uptime: 116 days, 19 hours, 33 mins 
 $$P      d$'     ,    $$P    Packages: 636 (dpkg) 
 $$:      $$.   -    ,d$$'    Shell: bash 5.1.4 
 $$;      Y$b._   _,d$P'      Resolution: 1024x768 
 Y$$.    `.`"Y$$$$P"'         Terminal: /dev/pts/0 
 `$$b      "-.__              CPU: Intel Xeon E5-2697 v2 (24) @ 3.500GHz 
  `Y$$                        GPU: 0b:00.0 Matrox Electronics Systems Ltd. G200eR2 
   `Y$$.                      Memory: 39374MiB / 64233MiB 
     `$$b.
       `Y$$b.                                         
          `"Y$b._                                     
              `"""
```

### Backup Server: Whitebox 2U

```
       _,met$$$$$gg.          joshua@backup
    ,g$$$$$$$$$$$$$$$P.       -------------
  ,g$$P"     """Y$$.".        OS: Debian GNU/Linux 11 (bullseye) x86_64 
 ,$$P'              `$$$.     Host: Whitebox (Supermicro X10SRL-F)
',$$P       ,ggs.     `$$b:   Kernel: 5.10.0-26-amd64 
`d$$'     ,$P"'   .    $$$    Uptime: 116 days, 19 hours, 40 mins 
 $$P      d$'     ,    $$P    Packages: 790 (dpkg) 
 $$:      $$.   -    ,d$$'    Shell: bash 5.1.4 
 $$;      Y$b._   _,d$P'      Resolution: 1024x768 
 Y$$.    `.`"Y$$$$P"'         Terminal: /dev/pts/0 
 `$$b      "-.__              CPU: Intel Xeon E5-2620 v3 (12) @ 3.200GHz 
  `Y$$                        GPU: 09:00.0 ASPEED Technology, Inc. ASPEED Graphics Family 
   `Y$$.                      Memory: 22450MiB / 31984MiB 
     `$$b.
       `Y$$b.                                         
          `"Y$b._                                     
              `"""
```
